textures/lcars-enterprise-e/black
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/black.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/pos-x/lcars_side_1
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/pos-x/lcars_side_1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/pos-x/lcars_side_2
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/pos-x/lcars_side_2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/pos-x/lcars_side_2-engaged
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/pos-x/lcars_side_2-engaged.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/pos-x/bridge-lights-1
{
    surfaceparm nolightmap
    {
        map textures/pos-x/bridge-lights-1.tga
        alphaFunc GE128
    }
}

textures/pos-x/bridge-pillar
{
    surfaceparm nolightmap
    {
        map textures/pos-x/bridge-pillar.tga
        alphaFunc GE128
    }
}

textures/pos-x/bridge-pillar-off
{
    surfaceparm nolightmap
    {
        map textures/pos-x/bridge-pillar-off.tga
        alphaFunc GE128
    }
}

textures/pos-x/cargobay_1
{
    surfaceparm nolightmap
    {
        map textures/pos-x/cargobay_1.tga
        alphaFunc GE128
    }
}

textures/pos-x/grill
{
    surfaceparm metalsteps
    surfaceparm trans
    {
        map textures/pos-x/grill.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
    {
        map textures/detail/sheetflake_lowcontrast.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        depthFunc equal
        detail
        rgbGen identity
        tcMod scale 12 12
    }
}

textures/pos-x/hall_ceiling
{ 
    q3map_surfacelight 100
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/pos-x/hall_ceiling.tga
    }
}

textures/pos-x/corridor-1
{
    q3map_surfacelight 400
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/pos-x/corridor-1.tga
    }
}

textures/pos-x/corridor-7-normal
{
    q3map_surfacelight 400
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/pos-x/corridor-7-normal.jpg
    }
}

textures/pos-x/corridor-rooflight-small
{
    q3map_surfacelight 400
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/pos-x/corridor-rooflight-small.jpg
    }
}

textures/pos-x/bridge-lights-1-blue
{
    qer_editorimage textures/pos-x/bridge-lights-1-blue.tga
    {
        map textures/pos-x/bridge-lights-1-off.tga
        alphaFunc GE128
    }
    {
        map textures/pos-x/bridge-lights-1-off.tga
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pos-x/bridge-lights-1-blue.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

textures/pos-x/bridge-lights-1-red
{
    qer_editorimage textures/pos-x/bridge-lights-1-red.tga
    {
        map textures/pos-x/bridge-lights-1-off.tga
        alphaFunc GE128
    }
    {
        map textures/pos-x/bridge-lights-1-off.tga
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pos-x/bridge-lights-1-red.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

textures/pos-x/bridge-lights-1-yellow
{
    qer_editorimage textures/pos-x/bridge-lights-1-yellow.tga
    {
        map textures/pos-x/bridge-lights-1-off.tga
        alphaFunc GE128
    }
    {
        map textures/pos-x/bridge-lights-1-off.tga
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pos-x/bridge-lights-1-yellow.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

textures/pos-x/corridor-7-blue
{
    qer_editorimage textures/pos-x/corridor-7-blue.tga
    {
        map textures/pos-x/corridor-7-off.tga
        alphaFunc GE128
    }
    {
        map textures/pos-x/corridor-7-off.tga
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pos-x/corridor-7-blue.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

textures/pos-x/corridor-7-red
{
    qer_editorimage textures/pos-x/corridor-7-red.tga
    {
        map textures/pos-x/corridor-7-off.tga
        alphaFunc GE128
    }
    {
        map textures/pos-x/corridor-7-off.tga
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pos-x/corridor-7-red.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

textures/pos-x/corridor-7-yellow
{
    qer_editorimage textures/pos-x/corridor-7-yellow.tga
    {
        map textures/pos-x/corridor-7-off.tga
        alphaFunc GE128
    }
    {
        map textures/pos-x/corridor-7-off.tga
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pos-x/corridor-7-yellow.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

textures/pos-x/corridor-5-yellow
{
    qer_editorimage textures/pos-x/corridor-5-yellow.tga
    {
        map textures/pos-x/corridor-5.tga
        alphaFunc GE128
    }
    {
        map textures/pos-x/corridor-5.tga
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pos-x/corridor-5-yellow.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

textures/pos-x/corridor-5-red
{
    qer_editorimage textures/pos-x/corridor-5-red.tga
    {
        map textures/pos-x/corridor-5.tga
        alphaFunc GE128
    }
    {
        map textures/pos-x/corridor-5.tga
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pos-x/corridor-5-red.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

textures/pos-x/corridor-5-blue
{
    qer_editorimage textures/pos-x/corridor-5-blue.tga
    {
        map textures/pos-x/corridor-5.tga
        alphaFunc GE128
    }
    {
        map textures/pos-x/corridor-5.tga
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pos-x/corridor-5-blue.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

textures/pos-x/1
{
    surfaceparm nolightmap
    {
        map textures/pos-x/1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/pos-x/2
{
    surfaceparm nolightmap
    {
        map textures/pos-x/2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/pos-x/3
{
    surfaceparm nolightmap
    {
        map textures/pos-x/3.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/pos-x/4
{
    surfaceparm nolightmap
    {
        map textures/pos-x/4.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/pos-x/5
{
    surfaceparm nolightmap
    {
        map textures/pos-x/5.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/pos-x/6
{
    surfaceparm nolightmap
    {
        map textures/pos-x/6.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/pos-x/7
{
    surfaceparm nolightmap
    {
        map textures/pos-x/7.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/pos-x/warpstars
{
    qer_editorimage textures/pos-x/warpstars.tga
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull disable
    {
        map textures/pos-x/warpstars.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 1.3
    }
}

textures/pos-x/warpstars_slow
{
    qer_editorimage textures/pos-x/warpstars_slow.tga
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull disable
    {
        map textures/pos-x/warpstars_slow.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 1
    }
}

textures/pos-x/ent
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/pos-x/ent.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}