///
/// USS ENTERPRISE-E LCARS SHADER
/// "HIGH" QUALITY / FULLY-ANIMATING VERSIONS
///


///
/// BRIDGE WALL CONSOLES
///


textures/lcars-enterprise-e/lcars_bridge-1a
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-1a.tga
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-1a_display.tga
        rgbGen wave sin 0.3 0.5 0 0.27
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.15 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.03 textures/lcars-enterprise-e/lcars_bridge-1a_displaywords1.tga textures/lcars-enterprise-e/lcars_bridge-1a_displaywords2.tga textures/lcars-enterprise-e/lcars_bridge-1a_displaywords3.tga textures/lcars-enterprise-e/lcars_bridge-1a_displaywords4.tga textures/lcars-enterprise-e/lcars_bridge-1a_displaywords5.tga textures/lcars-enterprise-e/lcars_bridge-1a_displaywords4.tga textures/lcars-enterprise-e/lcars_bridge-1a_displaywords3.tga textures/lcars-enterprise-e/lcars_bridge-1a_displaywords2.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-1b
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-1b.tga
    }
    {
        animMap 1.42 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-1c
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-1c.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-2a
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_subspace.tga
        tcMod rotate 5
        tcMod stretch noise 0.8 0.1 0 1
        tcMod scale 1.3333 1.0
    }
    {
        map textures/lcars-enterprise-e/lcars_subspace_grid_1.tga
        tcMod scroll 0.04 0.07
        tcMod stretch noise 0.8 0.15 0 1
        tcMod scale 1.5 1.2
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-2a.tga
        alphaFunc GE128
    }
    {
        animMap 1.11 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft1.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft2.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft3.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft4.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.27 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.31 textures/lcars-enterprise-e/lcars_bridge-2a_display1.tga textures/lcars-enterprise-e/lcars_bridge-2a_display2.tga textures/lcars-enterprise-e/lcars_bridge-2a_display3.tga textures/lcars-enterprise-e/lcars_bridge-2a_display4.tga textures/lcars-enterprise-e/lcars_bridge-2a_display5.tga textures/lcars-enterprise-e/lcars_bridge-2a_display6.tga textures/lcars-enterprise-e/lcars_bridge-2a_display7.tga textures/lcars-enterprise-e/lcars_bridge-2a_display8.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 2 textures/lcars-enterprise-e/lcars_bridge-2a_display_flash1.tga textures/lcars-enterprise-e/lcars_bridge-2a_display_flash2.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-2b
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-2b.tga
    }
    {
        animMap 1.35 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.41 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft1.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft2.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft3.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft4.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.79 textures/lcars-enterprise-e/lcars_bridge-2b_display1.tga textures/lcars-enterprise-e/lcars_bridge-2b_display2.tga textures/lcars-enterprise-e/lcars_bridge-2b_display3.tga textures/lcars-enterprise-e/lcars_bridge-2b_display4.tga textures/lcars-enterprise-e/lcars_bridge-2b_display5.tga textures/lcars-enterprise-e/lcars_bridge-2b_display6.tga textures/lcars-enterprise-e/lcars_bridge-2b_display7.tga textures/lcars-enterprise-e/lcars_bridge-2b_display8.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-3a
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-3a.tga
        alphaFunc GE128
    }
    {
        animMap 1.42 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft1.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft2.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft3.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft4.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.29 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 3.01 textures/lcars-enterprise-e/lcars_bridge-3a_display1_1_1.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_1_2.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_1_3.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_1_4.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_1_5.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_1_6.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 2.52 textures/lcars-enterprise-e/lcars_bridge-3a_display1_2_1.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_2_2.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_2_3.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_2_4.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_2_5.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_2_6.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 2.68 textures/lcars-enterprise-e/lcars_bridge-3a_display1_3_1.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_3_2.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_3_3.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_3_4.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_3_5.tga textures/lcars-enterprise-e/lcars_bridge-3a_display1_3_6.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 3.142 textures/lcars-enterprise-e/lcars_bridge-3a_display2_1.tga textures/lcars-enterprise-e/lcars_bridge-3a_display2_2.tga textures/lcars-enterprise-e/lcars_bridge-3a_display2_3.tga textures/lcars-enterprise-e/lcars_bridge-3a_display2_4.tga textures/lcars-enterprise-e/lcars_bridge-3a_display2_5.tga textures/lcars-enterprise-e/lcars_bridge-3a_display2_6.tga textures/lcars-enterprise-e/lcars_bridge-3a_display2_7.tga textures/lcars-enterprise-e/lcars_bridge-3a_display2_8.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-3b
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-3b_scrollingorange.tga
        tcMod scroll -0.07235 0
        tcMod scale 3 1
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-3b_scrollingorange.tga
        tcMod scroll 0.08215 0
        tcMod scale 3 1
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-3b.tga
        alphaFunc GE128
    }
    {
        animMap 1.35 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.41 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft1.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft2.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft3.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft4.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-4a
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-4a.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-4b
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-4b_display2-1.tga
        tcMod scale 6.2016 1
        tcMod scroll 0.256 0
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-4b_display2-2.tga
        tcMod scale 6.2016 1
        tcMod scroll 0.301 0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-4b.tga
        alphaFunc GE128
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-4b_display.tga
        rgbGen wave sin 0.3 0.5 0 0.27
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.21 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_bridge-4b_words1-1.tga textures/lcars-enterprise-e/lcars_bridge-4b_words1-2.tga textures/lcars-enterprise-e/lcars_bridge-4b_words1-3.tga textures/lcars-enterprise-e/lcars_bridge-4b_words1-4.tga textures/lcars-enterprise-e/lcars_bridge-4b_words1-5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.48 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_bridge-4b_words2-1.tga textures/lcars-enterprise-e/lcars_bridge-4b_words2-2.tga textures/lcars-enterprise-e/lcars_bridge-4b_words2-3.tga textures/lcars-enterprise-e/lcars_bridge-4b_words2-4.tga textures/lcars-enterprise-e/lcars_bridge-4b_words2-5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-4c
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-4c.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-5a
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-5a.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-5b
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-5b_display1.tga
        tcMod scale 4 1
        tcMod scroll 0.123 0
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-5b.tga
        alphaFunc GE128
    }
    {
        animMap 1.36 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_bridge-5b_words1-1.tga textures/lcars-enterprise-e/lcars_bridge-5b_words1-2.tga textures/lcars-enterprise-e/lcars_bridge-5b_words1-3.tga textures/lcars-enterprise-e/lcars_bridge-5b_words1-4.tga textures/lcars-enterprise-e/lcars_bridge-5b_words1-5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.19 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_bridge-5b_words2-1.tga textures/lcars-enterprise-e/lcars_bridge-5b_words2-2.tga textures/lcars-enterprise-e/lcars_bridge-5b_words2-3.tga textures/lcars-enterprise-e/lcars_bridge-5b_words2-4.tga textures/lcars-enterprise-e/lcars_bridge-5b_words2-5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-5c
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-5c.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-6a
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-6a_starscape.tga
        tcMod scroll -0.0032 -0.0046
        tcMod scale 2 1.8671875
	rgbGen wave square 0 1 0 0.025 
    }
    {
	animmap 0.25 textures/lcars-enterprise-e/lcars_bridge-6a_display1_1.tga textures/lcars-enterprise-e/lcars_bridge-6a_display1_1.tga textures/lcars-enterprise-e/lcars_bridge-6a_display1_2.tga textures/lcars-enterprise-e/lcars_bridge-6a_display1_3.tga textures/lcars-enterprise-e/lcars_bridge-6a_display1_4.tga
	rgbGen wave square 0 1 0.5 0.025
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-6a.tga
        alphaFunc GE128
    }
    {
        animMap 1.47 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-6b
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-6b.tga
    }
    {
        animMap 1.24 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.59 textures/lcars-enterprise-e/lcars_bridge-6b_display1.tga textures/lcars-enterprise-e/lcars_bridge-6b_display2.tga textures/lcars-enterprise-e/lcars_bridge-6b_display3.tga textures/lcars-enterprise-e/lcars_bridge-6b_display4.tga textures/lcars-enterprise-e/lcars_bridge-6b_display5.tga textures/lcars-enterprise-e/lcars_bridge-6b_display6.tga textures/lcars-enterprise-e/lcars_bridge-6b_display7.tga textures/lcars-enterprise-e/lcars_bridge-6b_display8.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-7a
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-7a_display1.tga
        tcMod scale 1 2.5301
        tcMod scroll 0 0.05
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-7a_display2.tga
        tcMod scale 1 2.5301
        tcMod scroll 0 0.04
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-7a.tga
        alphaFunc GE128
    }
    {
        animMap 1.17 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft1.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft2.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft3.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft4.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.32 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-7b
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-7b_display2_1.tga
        tcMod scale 4 1
        tcMod scroll 0.256 0
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-7b_display2_2.tga
        tcMod scale 4 1
        tcMod scroll 0.301 0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-7b.tga
        alphaFunc GE128
    }
    {
        animMap 1.24 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.51 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft1.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft2.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft3.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft4.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.9 textures/lcars-enterprise-e/lcars_bridge-7b_display1_1.tga textures/lcars-enterprise-e/lcars_bridge-7b_display1_2.tga textures/lcars-enterprise-e/lcars_bridge-7b_display1_3.tga textures/lcars-enterprise-e/lcars_bridge-7b_display1_4.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-8a
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-8a_display1_grid.tga
        alphaFunc GE128
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-8a_display1_1.tga
        tcMod scroll 0 0.32
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-8a_display1_2.tga
        tcMod scroll 0 0.45
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-8a_display1_3.tga
        tcMod scroll 0 0.6
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-8a.tga
        alphaFunc GE128
    }
    {
        animMap 1.39 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft1.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft2.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft3.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft4.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsleft5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.19 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_topdisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_bridge-8b
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-8b.tga
    }
    {
        animMap 1.37 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright1.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright2.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright3.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright4.tga textures/lcars-enterprise-e/lcars_middisplay_wordsright5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.49 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft1.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft2.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft3.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft4.tga textures/lcars-enterprise-e/lcars_middisplay_wordsleft5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.59 textures/lcars-enterprise-e/lcars_bridge-8b_display1.tga textures/lcars-enterprise-e/lcars_bridge-8b_display2.tga textures/lcars-enterprise-e/lcars_bridge-8b_display3.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}



///
/// BRIDGE STANDALONE CONSOLES
///

textures/lcars-enterprise-e/lcars_helm_left
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_helm_left.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_helm_middle
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_helm_middle.tga
    }
    {
        animMap 1.25 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_helm_middle_words1.tga textures/lcars-enterprise-e/lcars_helm_middle_words2.tga textures/lcars-enterprise-e/lcars_helm_middle_words3.tga textures/lcars-enterprise-e/lcars_helm_middle_words4.tga textures/lcars-enterprise-e/lcars_helm_middle_words5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.9 textures/lcars-enterprise-e/lcars_helm_middle_display1.tga textures/lcars-enterprise-e/lcars_helm_middle_display2.tga textures/lcars-enterprise-e/lcars_helm_middle_display3.tga textures/lcars-enterprise-e/lcars_helm_middle_display4.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_helm_right
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_helm_right.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_ops_left
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_ops_left.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_ops_middle
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_ops_middle_grid.tga
        tcMod scroll 0.0047 0
        tcMod scale 2.3078 1
    }
    {
        map textures/lcars-enterprise-e/lcars_ops_middle_dots.tga
        tcMod scroll 0.0056 0
        tcMod scale 2.3078 1
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_ops_middle_scanner.tga
        tcMod scroll -0.12051 0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_ops_middle.tga
        alphaFunc GE128
    }
    {
        animMap 1.38 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_ops_middle_words1.tga textures/lcars-enterprise-e/lcars_ops_middle_words2.tga textures/lcars-enterprise-e/lcars_ops_middle_words3.tga textures/lcars-enterprise-e/lcars_ops_middle_words4.tga textures/lcars-enterprise-e/lcars_ops_middle_words5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_ops_right
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_ops_right.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_side_1
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_side_1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_side_2
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_side_2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_side_3
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_side_3.tga
    }
    {
        animMap 1.34 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_side_3_words1.tga textures/lcars-enterprise-e/lcars_side_3_words2.tga textures/lcars-enterprise-e/lcars_side_3_words3.tga textures/lcars-enterprise-e/lcars_side_3_words4.tga textures/lcars-enterprise-e/lcars_side_3_words5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_side_4
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-3b_scrollingorange.tga
        tcMod scroll -0.07235 0
        tcMod scale 3 1
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-3b_scrollingorange.tga
        tcMod scroll 0.08215 0
        tcMod scale 3 1
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_side_4.tga
        alphaFunc GE128
    }
    {
        animMap 1.47 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_side_4_words1.tga textures/lcars-enterprise-e/lcars_side_4_words2.tga textures/lcars-enterprise-e/lcars_side_4_words3.tga textures/lcars-enterprise-e/lcars_side_4_words4.tga textures/lcars-enterprise-e/lcars_side_4_words5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_stand_middle_1
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_ops_middle_grid.tga
        tcMod scroll 0.0047 0
        tcMod scale 2.4308 1
    }
    {
        map textures/lcars-enterprise-e/lcars_ops_middle_dots.tga
        tcMod scroll 0.0056 0
        tcMod scale 2.4308 1
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_ops_middle_scanner.tga
        tcMod scroll -0.12051 0
        tcMod scale 0.8156 1
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_stand_middle_1.tga
        alphaFunc GE128
    }
    {
        animMap 1.14 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_stand_middle_1_words1.tga textures/lcars-enterprise-e/lcars_stand_middle_1_words2.tga textures/lcars-enterprise-e/lcars_stand_middle_1_words3.tga textures/lcars-enterprise-e/lcars_stand_middle_1_words4.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_stand_middle_2
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_stand_middle_2.tga
    }
    {
        animMap 1.24 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_stand_middle_1_words1.tga textures/lcars-enterprise-e/lcars_stand_middle_1_words2.tga textures/lcars-enterprise-e/lcars_stand_middle_1_words3.tga textures/lcars-enterprise-e/lcars_stand_middle_1_words4.tga textures/lcars-enterprise-e/lcars_stand_middle_1_words5.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_cmo_left
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_cmo_left.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_cmo_right
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_cmo_right.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_xo_left
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_xo_left.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_xo_right
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_xo_right.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}


///
/// READY ROOM AND CONFERENCE ROOM
///

textures/lcars-enterprise-e/lcars_confroom_1
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-3b_scrollingorange.tga
        tcMod scroll -0.07235 0
        tcMod scale 1.5228 1
    }
    {
        map textures/lcars-enterprise-e/lcars_bridge-3b_scrollingorange.tga
        tcMod scroll 0.08215 0
        tcMod scale 1.5228 1
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_confroom_1.tga
        alphaFunc GE128
    }
    {
        animMap 1.25 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_confroom_words1.tga textures/lcars-enterprise-e/lcars_confroom_words2.tga textures/lcars-enterprise-e/lcars_confroom_words3.tga textures/lcars-enterprise-e/lcars_confroom_words4.tga textures/lcars-enterprise-e/lcars_confroom_words5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_confroom_2
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_bridge-6a_starscape.tga
        tcMod scroll -0.0032 -0.0046
        tcMod scale 1 1.5
    }
    {
        map textures/lcars-enterprise-e/lcars_confroom_2.tga
        alphaFunc GE128
    }
    {
        animMap 1.32 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_confroom_words1.tga textures/lcars-enterprise-e/lcars_confroom_words2.tga textures/lcars-enterprise-e/lcars_confroom_words3.tga textures/lcars-enterprise-e/lcars_confroom_words4.tga textures/lcars-enterprise-e/lcars_confroom_words5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_confroom_3
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_confroom_3.tga
    }
    {
        animMap 1.11 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_confroom_words1.tga textures/lcars-enterprise-e/lcars_confroom_words2.tga textures/lcars-enterprise-e/lcars_confroom_words3.tga textures/lcars-enterprise-e/lcars_confroom_words4.tga textures/lcars-enterprise-e/lcars_confroom_words5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 2.104 textures/lcars-enterprise-e/lcars_confroom_3_display1.tga textures/lcars-enterprise-e/lcars_confroom_3_display2.tga textures/lcars-enterprise-e/lcars_confroom_3_display3.tga textures/lcars-enterprise-e/lcars_confroom_3_display4.tga textures/lcars-enterprise-e/lcars_confroom_3_display5.tga textures/lcars-enterprise-e/lcars_confroom_3_display6.tga textures/lcars-enterprise-e/lcars_confroom_3_display7.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_confroom_4
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_confroom_4_words1.tga
        tcMod scroll 0 0.012
        tcMod scale 1 1.2512
    }
    {
        map textures/lcars-enterprise-e/lcars_confroom_4_words2.tga
        tcMod scroll 0 -0.017
        tcMod scale 1 1.2512
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_confroom_4_words3.tga
        tcMod scroll 0 0.008
        tcMod scale 1 1.2512
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_confroom_4.tga
        alphaFunc GE128
    }
    {
        animMap 1.26 textures/lcars-enterprise-e/black.tga textures/lcars-enterprise-e/lcars_confroom_words1.tga textures/lcars-enterprise-e/lcars_confroom_words2.tga textures/lcars-enterprise-e/lcars_confroom_words3.tga textures/lcars-enterprise-e/lcars_confroom_words4.tga textures/lcars-enterprise-e/lcars_confroom_words5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_confroom_bigscreen
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_confroom_bigscreen.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_confromo_midconsole1
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_confromo_midconsole1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_confromo_midconsole2
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_confromo_midconsole2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_confroom_side1
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_confroom_side1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_confroom_side2
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_confroom_side2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}


///
/// SECONDARY AREAS - HOLODECK, TRANSPORTER ROOM
///

textures/lcars-enterprise-e/lcars_holodeck
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_holodeck.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_transporter_wall
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_transporter_wall.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_transporter_panel
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_transporter_panel.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_brig
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_brig.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_engineering_1
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_engineering_1.tga
    }
    {
        animMap 1.11 textures/lcars-enterprise-e/lcars_engineering_1_display1_1.tga textures/lcars-enterprise-e/lcars_engineering_1_display1_2.tga textures/lcars-enterprise-e/lcars_engineering_1_display1_3.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.23 textures/lcars-enterprise-e/lcars_engineering_1_display2_1.tga textures/lcars-enterprise-e/lcars_engineering_1_display2_2.tga textures/lcars-enterprise-e/lcars_engineering_1_display2_3.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.05 textures/lcars-enterprise-e/lcars_engineering_1_display3_1.tga textures/lcars-enterprise-e/lcars_engineering_1_display3_2.tga textures/lcars-enterprise-e/lcars_engineering_1_display3_3.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_engineering_2
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_engineering_2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_tallscreen_top
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_tallscreen_top.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_tallscreen_bottom_1
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_tallscreen_bottom_1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_tallscreen_bottom_2
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_tallscreen_bottom_2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_standalone_1
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_standalone_1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_standalone_2
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_standalone_2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_buttons
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_buttons.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_screen
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_screen.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

///
/// SICKBAY
///

textures/lcars-enterprise-e/lcars_sickbay_monitor2
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_sickbay_monitor2_bar1.tga
        tcMod scroll -0.087 0
    }
    {
        map textures/lcars-enterprise-e/lcars_sickbay_monitor2_bar2.tga
        tcMod scroll -0.113 0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_sickbay_monitor2_bar3.tga
        tcMod scroll -0.072 0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_sickbay_monitor2_bar4.tga
        tcMod scroll -0.095 0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/lcars-enterprise-e/lcars_sickbay_monitor2.tga
        alphaFunc GE128
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_wall_1
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_wall_1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/lcars-enterprise-e/lcars_wall_2
{
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/lcars-enterprise-e/lcars_wall_2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

