textures/rpgx_atlantis/warpstars
{
	qer_editorimage textures/rpgx_atlantis/warpstars.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	{
		map textures/rpgx_atlantis/warpstars.tga
		blendfunc add
		tcMod scroll 0.01 1
	}
}

textures/rpgx_atlantis/impulsestars
{
	qer_editorimage textures/rpgx_atlantis/impulsestars.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	{
		map textures/rpgx_atlantis/impulsestars.tga
		blendfunc add
		tcMod scroll 0 0.1
	}
}

textures/rpgx_atlantis/sky
{ 
    //q3map_lightimage env/rpgx_atlantis/jhnebula3_up.tga 
    qer_editorimage env/rpgx_atlantis/jhnebula3_up.tga
    //q3map_surfacelight 100
    q3map_lightsubdivide 128
    surfaceparm noimpact 
    surfaceparm nomarks 
    surfaceparm nolightmap 
    surfaceparm sky 
    surfaceparm antiportal
    skyParms env/rpgx_atlantis/jhnebula3 512 - 
}

textures/rpgx_atlantis/cargobay_1
{
	surfaceparm nolightmap
	{
		map textures/rpgx_atlantis/cargobay_1.tga
		alphaFunc GE128
	}
}

textures/rpgx_atlantis/shuttlebay
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/rpgx_atlantis/shuttlebay.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

textures/rpgx_atlantis/light_console_trim
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/rpgx_atlantis/light_console_trim.tga
	}
}

textures/rpgx_atlantis/ufp
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/rpgx_atlantis/ufp.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/backpanel
{
	surfaceparm nolightmap
	{
		map textures/rpgx_atlantis/backpanel.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

///
/// Holographics
///
textures/rpgx_atlantis/holo_msd
{
	qer_editorimage textures/rpgx_atlantis/lcars_msd.tga
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/rpgx_atlantis/lcars_msd.tga
		blendfunc add
	}
}

///
/// Deck Decals
///
textures/rpgx_atlantis/deck1
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/rpgx_atlantis/deck1.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

textures/rpgx_atlantis/deck2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/rpgx_atlantis/deck2.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

textures/rpgx_atlantis/deck3
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/rpgx_atlantis/deck3.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

textures/rpgx_atlantis/deck4
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/rpgx_atlantis/deck4.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

textures/rpgx_atlantis/deck5
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	{
		map textures/rpgx_atlantis/deck5.tga
		blendfunc gl_dst_color gl_src_color
		alphaFunc GT0
	}
}

///
/// Alert Status'
///

textures/rpgx_atlantis/ba_glow
{
	qer_editorimage textures/rpgx_atlantis/ba.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/rpgx_atlantis/ba.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/ba_corridor
{
	qer_editorimage textures/rpgx_atlantis/ba_corridor.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/rpgx_atlantis/ba_corridor.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/ba_console
{
	qer_editorimage textures/rpgx_atlantis/ba_console.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/rpgx_atlantis/ba_console.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
}

textures/rpgx_atlantis/ra_glow
{
	qer_editorimage textures/rpgx_atlantis/ra.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/rpgx_atlantis/ra.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/ra_corridor
{
	qer_editorimage textures/rpgx_atlantis/ra_corridor.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/rpgx_atlantis/ra_corridor.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/ra_console
{
	qer_editorimage textures/rpgx_atlantis/ra_console.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/rpgx_atlantis/ra_console.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/ya_glow
{
	qer_editorimage textures/rpgx_atlantis/ya.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/rpgx_atlantis/ya.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/ya_corridor
{
	qer_editorimage textures/rpgx_atlantis/ya_corridor.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/rpgx_atlantis/ya_corridor.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/ya_console
{
	qer_editorimage textures/rpgx_atlantis/ya_console.tga
	{
		map textures/engineering/glass1.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc filter
	}
	{
		map textures/rpgx_atlantis/ya_console.tga
		blendfunc add
		rgbGen wave sin 0.75 2 0 0.5 
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

//
// Engineering
//
textures/rpgx_atlantis/core_red
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rpgx_atlantis/core_red.tga
		blendfunc filter
		rgbGen wave sin 0.9 0.1 0 1 
	}
	{
		map textures/rpgx_atlantis/core_red_glow.tga
		blendfunc add
		rgbGen wave noise 0.9 0.1 0 1 
		tcMod scale 1 1.2
		tcMod scroll 0 2
	}
	{
		map textures/scavenger/k_core_energy.tga
		blendfunc add
		rgbGen const ( 0.117647 0.117647 0.117647 )
		tcMod scroll 0 -1
	}
}

textures/rpgx_atlantis/core_blue
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rpgx_atlantis/core_blue.tga
		blendfunc filter
		rgbGen wave sin 0.9 0.1 0 1 
	}
	{
		map textures/rpgx_atlantis/core_blue_glow.tga
		blendfunc add
		rgbGen wave noise 0.9 0.1 0 1 
		tcMod scale 1 1.2
		tcMod scroll 0 -2
	}
	{
		map textures/engineering/core_mult.tga
		blendfunc add
		rgbGen const ( 0.117647 0.117647 0.117647 )
		tcMod scroll 0 1
	}
}

textures/rpgx_atlantis/ptc_texture
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rpgx_atlantis/ptc_texture.tga
		blendfunc filter
		rgbGen wave sin 0.9 0.1 0 1 
	}
	{
		map textures/rpgx_atlantis/ptc_texture_glow.tga
		blendfunc add
		tcMod scale 1.2 1.2
		tcMod scroll 0 -2.5
	}
}

textures/rpgx_atlantis/ptc_texture_off
{
	qer_editorimage textures/rpgx_atlantis/ptc_texture.tga
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rpgx_atlantis/ptc_texture.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/rpgx_atlantis/core_red_off
{
	qer_editorimage textures/rpgx_atlantis/core_red.tga
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rpgx_atlantis/core_red.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/rpgx_atlantis/core_blue_off
{
	qer_editorimage textures/rpgx_atlantis/core_blue.tga
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rpgx_atlantis/core_blue.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/rpgx_atlantis/eng_blast
{
	qer_editorimage textures/rpgx_atlantis/door_blast.tga
	surfaceparm trans
	qer_trans 0.5
	{
		map $lightmap 
		blendfunc filter
	}
	{
		map textures/engineering/glass1.tga
		blendfunc add
		tcGen environment 
	}
	{
		map textures/rpgx_atlantis/door_blast2.tga
		alphaFunc GE128
	}
}

//
// Messhall
//
textures/rpgx_atlantis/door_mess
{
    qer_trans 0.5
    surfaceparm trans
    tessSize 48
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/rpgx_atlantis/door_mess.tga
        blendFunc GL_ONE GL_ONE
//        tcGen environment
//        tcMod scale 3 3
    }
}

//
// Astrometrics
//
textures/rpgx_atlantis/astro_wall
{
	qer_editorimage textures/rpgx_atlantis/background.tga
	{
		map textures/rpgx_atlantis/background.tga
		//tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/rpgx_atlantis/background2.tga
		blendfunc add
		//tcMod scale 0.5 0.5
		tcMod scroll 0.02 0.02
	}
	//{
	//	map textures/rpgx_atlantis/grid.tga
	//	blendfunc add
	//	rgbGen wave sin 0.3 0.1 0 0.5 
	//	tcMod scroll 0.05 0.05
	//}
}

textures/rpgx_atlantis/astro_display
{
	qer_editorimage textures/rpgx_atlantis/grid.tga
	surfaceparm trans
	qer_trans 0.5
	{
		map textures/rpgx_atlantis/grid.tga
		blendfunc add
		rgbGen wave sin 0.3 0.1 0 0.5 
		tcMod scroll 0.05 0.05
		//blendfunc add
	}
}

//
// Misc
//
textures/rpgx_atlantis/corridor_blue
{
    q3map_surfacelight 200
    surfaceparm nolightmap
    {
        map textures/rpgx_atlantis/corridor_blue.tga
	  rgbGen const ( 0.337255 0.443137 0.796079 )
    }
}

textures/rpgx_atlantis/light_bridge
{
    	q3map_surfacelight 80
    	surfaceparm nolightmap
    	{
        	map textures/rpgx_atlantis/light_bridge.tga
    	}
}

textures/rpgx_atlantis/light_bridge_plain
{
    	q3map_surfacelight 80
    	surfaceparm nolightmap
    	{
        	map textures/rpgx_atlantis/light_bridge_plain.tga
    	}
}

textures/rpgx_atlantis/light_engineering
{
    	q3map_surfacelight 80
    	surfaceparm nolightmap
    	{
        	map textures/rpgx_atlantis/light_engineering.tga
    	}
}

textures/rpgx_atlantis/blue_console_trim
{
    	q3map_surfacelight 400
    	surfaceparm nolightmap
    	{
        	map textures/rpgx_atlantis/blue_console_trim.tga
    	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/screen_light
{
	surfaceparm nolightmap
	surfaceparm nomarks
	//surfaceparm trans
	//polygonoffset
	{
		map textures/rpgx_atlantis/screen_light.tga
		tcMod scale 2 1
		tcMod scroll -0.2 0
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/pad
{
    	q3map_surfacelight 80
    	surfaceparm nolightmap
    	{
        	map textures/rpgx_atlantis/pad.tga
    	}
}

//
// Deck location lcars
//
textures/rpgx_atlantis/loc_deck2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/rpgx_atlantis/loc_deck2.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/loc_deck2_2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/rpgx_atlantis/loc_deck2_2.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/loc_deck3
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/rpgx_atlantis/loc_deck3.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/loc_deck3_2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/rpgx_atlantis/loc_deck3_2.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/loc_deck4
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/rpgx_atlantis/loc_deck4.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/loc_deck4_2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/rpgx_atlantis/loc_deck4_2.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/loc_deck5
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/rpgx_atlantis/loc_deck5.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/loc_deck5_2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/rpgx_atlantis/loc_deck5_2.tga
	}
	{
		map textures/engineering/glass1.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
}

textures/rpgx_atlantis/odn
{
	//surfaceparm nolightmap
	//surfaceparm nomarks
	//surfaceparm trans
	{
        	map $lightmap
		rgbGen identity
    	}
	{
		map textures/rpgx_atlantis/odn2.tga
		blendFunc GL_DST_COLOR GL_ZERO		
		rgbGen identity
	}
	{
		map textures/rpgx_atlantis/odn.tga
		blendFunc add
		rgbGen wave sin	0.81 0.1 0 1
	}
}

textures/rpgx_atlantis/portal
{
    qer_editorimage textures/common/qer_portal.tga
    surfaceparm nolightmap
    portal
    {
        map textures/detail/gleam2.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen identity
        alphaGen portal 1024
        tcGen environment
        tcMod scale 1.5 1.5
    }
}